Skip to main content
GET
/
effective_tax_properties
List effective tax properties
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/effective_tax_properties \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.nmbr.co/services/payroll/effective_tax_properties"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.nmbr.co/services/payroll/effective_tax_properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "object": "effective_tax_property",
      "data": {
        "type": "ca::province_of_employment",
        "value": "ca_on",
        "source_tax_property": {
          "id": "<id>",
          "object": "tax_property",
          "links": {
            "self": "/tax_properties/<id>"
          }
        }
      }
    },
    {
      "object": "effective_tax_property",
      "data": {
        "type": "ca::province_of_work",
        "value": "ca_on",
        "source_tax_property": {
          "id": "<id>",
          "object": "tax_property",
          "links": {
            "self": "/tax_properties/<id>"
          }
        }
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

work_assignment_id
string

Filter by Work Assignment. Required if business_entity_id is not provided.

The work_assignment_id field is required when business_entity_id is not present.

business_entity_id
string

Filter by Business Entity. Required if work_assignment_id is not provided.

The business_entity_id field is required when work_assignment_id is not present.

effective_on
string

The date on which to resolve Tax Property values. Defaults to today.

type

Filter to specific Tax Property types. Accepts a comma-separated list.

Available options:
ca::ab::claim_amount,
ca::ab::total_income_less_than_total_claim_amount,
ca::ab::workers_compensation_class,
ca::bc::claim_amount,
ca::bc::eht,
ca::bc::total_income_less_than_total_claim_amount,
ca::bc::workers_compensation_class,
ca::cpp_exempt,
ca::ei_exempt,
ca::ei_premium_reduction,
ca::federal::additional_tax,
ca::federal::annual_deduction_at_source,
ca::federal::claim_amount,
ca::federal::commission_expenses,
ca::federal::commission_total_income,
ca::federal::income_tax_rate,
ca::federal::total_income_less_than_total_claim_amount,
ca::federal_oc_surtax_exempt,
ca::first_nation_exemptions,
ca::mb::claim_amount,
ca::mb::eht,
ca::mb::total_income_less_than_total_claim_amount,
ca::mb::workers_compensation_class,
ca::nb::claim_amount,
ca::nb::total_income_less_than_total_claim_amount,
ca::nb::workers_compensation_class,
ca::nl::claim_amount,
ca::nl::eht,
ca::nl::total_income_less_than_total_claim_amount,
ca::nl::workers_compensation_class,
ca::ns::claim_amount,
ca::ns::total_income_less_than_total_claim_amount,
ca::ns::workers_compensation_class,
ca::nt::claim_amount,
ca::nt::territorial_payroll_tax,
ca::nt::total_income_less_than_total_claim_amount,
ca::nt::workers_compensation_class,
ca::nu::claim_amount,
ca::nu::territorial_payroll_tax,
ca::nu::total_income_less_than_total_claim_amount,
ca::nu::workers_compensation_class,
ca::on::claim_amount,
ca::on::dependent_children_credit,
ca::on::eht,
ca::on::impaired_dependants_credit,
ca::on::total_income_less_than_total_claim_amount,
ca::on::workers_compensation_class,
ca::pe::claim_amount,
ca::pe::total_income_less_than_total_claim_amount,
ca::pe::workers_compensation_class,
ca::province_of_employment,
ca::province_of_work,
ca::provincial::income_tax_rate,
ca::qc::additional_tax,
ca::qc::claim_amount,
ca::qc::commission_percentage_taxed,
ca::qc::eht,
ca::qc::income_tax_rate,
ca::qc::qpip_exempt,
ca::qc::qpp_exempt,
ca::qc::tax_id,
ca::qc::total_income_less_than_total_claim_amount,
ca::qc::workers_compensation_class,
ca::sk::claim_amount,
ca::sk::total_income_less_than_total_claim_amount,
ca::sk::workers_compensation_class,
ca::statutory_holiday_pay,
ca::tax_id,
ca::yt::claim_amount,
ca::yt::total_income_less_than_total_claim_amount,
ca::yt::workers_compensation_class
expand
enum<string>[]
Available options:
source_tax_property

Response

200 - application/json

OK

object
string
read-only

The type of the object in Nmbr ("list").

data
object[]